#include <stdio.h>

int nSisestus();
int * aSisestus(int n);
int mSisestus();
int * bSisestus(int m);
int kSisestus(int n);
int * cTootlus(int A[20], int B[20], int k, int n, int m);
void cValjastus(int C[20], int n, int m);


int main(void){
    int n, *A, m, *B, k, *C;
    n = nSisestus();
    A = aSisestus(n);
    m = mSisestus();
    B = bSisestus(m);
    k = kSisestus(n);
    C = cTootlus(A, B, k, n, m);
    cValjastus(C, n, m);

    return 0;
}

int nSisestus(){
    int n;
    while (1){
        printf("Sisesta massiivi A elementide arv (1-20): ");
        scanf("%d", &n);
        if (n>1 && n<20){
            break;
        }
        printf("Massiivi A elementide arv peab j22ma vahemikku [1;20]!\n");
    }

    return n;
}

int * aSisestus(int n){
    int i;
    static int A_s[20];
    for(i=0; i<n; i++){
        printf("Sisesta massiivi A %d. elemendi v22rtus: ", i+1);
        scanf("%d", &A_s[i]);
    }

    return A_s;
}

int mSisestus(){
    int m;
    while (1){
        printf("Sisesta massiivi B elementide arv (1-20): ");
        scanf("%d", &m);
        if (m>1 && m<20){
            break;
        }
        printf("!Massiivi B elementide arv peab j2ma vahemikku [1;20]!\n");
    }

    return m;
}

int * bSisestus(int m){
    int i;
    static int B_s[20];
    for(i=0; i<m; i++){
        printf("Sisesta massiivi B %d. elemendi v22rtus: ", i+1);
        scanf("%d", &B_s[i]);
    }

    return B_s;
} 

int kSisestus(int n){
    int k;
    while (1){
        printf("Arvu k suurus: ");
        scanf("%d", &k);
        if (k>1 && k<n){
            break;
        }
        printf("Arv k peab j22ma vahemikku [1;20] ja ei tohi olla suurem kui n!\n");
    }

    return k;
}

int * cTootlus(int A[20], int B[20], int k, int n, int m){
    int i, j;
    static int C[40];

    for(i=0; i<n; i++){
        // printf("Praegu on i %d\n", i);
        if (i<k){
            C[i] = A[i];
            // printf("Yritan v6tta A'st %d\n", i);
        }
        else if (i==k) {
            for(j=0; j<m; j++){
                C[i+j] = B[j];
                // printf("Yritan v6tta B'st %d\n", j);
            }
        }
        if (i>=k) {
            C[i+m] = A[i];
            // printf("Yritan v6tta A'st %d\n", i);
        }
    }

    return C;
}

void cValjastus(int C[40], int n, int m){
    int i;
    printf("Maatriksi C elemendid:\n");
    for(i=0; i<n+m;i++){
        printf("%d: %d\n", i, C[i]);
    }
}